Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam
Enum InterceptionType

    java.lang.Object
      java.lang.Enum<InterceptionType>
          org.jboss.seam.InterceptionType

All Implemented Interfaces:
  Serializable, Comparable<InterceptionType>

    public enum InterceptionType

extends Enum<InterceptionType>

Rules for when Seam will intercept invocations upon a component to perform bijection, validation, context demarcation, etc. For JavaBeans and session beans, the default interception type is `INVOKE_APPLICATION`. All entity beans have interception type `NEVER`.

Author:
  Gavin King

Enum Constant Summary
`AFTER_RESTORE_VIEW` Seam intercepts any invocations that occur after the restore view phase, or any invocation that occurs outside the context of JSF
`AFTER_UPDATE_MODEL_VALUES` Seam intercepts any invocations that occur after the update model values phase, or any invocation that occurs outside the context of JSF
`ALWAYS` Seam always intercepts invocations upon the component (default for session bean and JavaBean components)
`INVOKE_APPLICATION` Seam intercepts invocations upon the component only during the invoke application phase, or invocations that occur outside the context of JSF
`NEVER` Seam never intercepts invocations upon the component (default for entity bean components)

Method Summary
`boolean` | `isActive()`
`static InterceptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InterceptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEVER

    public static final InterceptionType NEVER

  Seam never intercepts invocations upon the component (default for entity bean components)

### AFTER_RESTORE_VIEW

    public static final InterceptionType AFTER_RESTORE_VIEW

  Seam intercepts any invocations that occur after the restore view phase, or any invocation that occurs outside the context of JSF

### AFTER_UPDATE_MODEL_VALUES

    public static final InterceptionType AFTER_UPDATE_MODEL_VALUES

  Seam intercepts any invocations that occur after the update model values phase, or any invocation that occurs outside the context of JSF

### INVOKE_APPLICATION

    public static final InterceptionType INVOKE_APPLICATION

  Seam intercepts invocations upon the component only during the invoke application phase, or invocations that occur outside the context of JSF

### ALWAYS

    public static final InterceptionType ALWAYS

  Seam always intercepts invocations upon the component (default for session bean and JavaBean components)

Method Detail

### values

    public static final InterceptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InterceptionType c : InterceptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InterceptionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isActive

    public boolean isActive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD